tomee-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Romain Manni-Bucau (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (TOMEE-1837) Old, bugged openwebbens library (1.2.7)
Date Thu, 09 Jun 2016 12:09:20 GMT

    [ https://issues.apache.org/jira/browse/TOMEE-1837?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15322403#comment-15322403
] 

Romain Manni-Bucau commented on TOMEE-1837:
-------------------------------------------

[~droodev] this is not an option. Only solution is to upgrade OWB to 1.2.8 if it gets released
since TomEE 1 is EE 6 (CDI 1.0) and TomEE 7 is EE 7 (CDI 1.1/1.2). Anything preventing you
to upgrade to TomEE 7?

> Old, bugged openwebbens library (1.2.7)
> ---------------------------------------
>
>                 Key: TOMEE-1837
>                 URL: https://issues.apache.org/jira/browse/TOMEE-1837
>             Project: TomEE
>          Issue Type: Bug
>          Components: TomEE Core Server
>    Affects Versions: 1.7.3, 1.7.4
>            Reporter: Andrzej K
>            Priority: Critical
>
> TomEE uses old openwebbeans version which generates errors when a situalion like this
occurs:
> -bean A depends on bean B and C
> -bean A declares observer method with parameters @Observes Object event (which means,
that observes all events)
> There is (sometimes, it depends on a classpath) a deployment error because A cannot be
built if B and C were not analyzed from the classpath. A should be build, because a containter
wants to fire an event ProcessObserverMethod. The problem is, that this event is a lifecycle
event and it should be never fired to bean A which is not Extension specialization (however
v. 1.2.7 does it -- incorrectly).
> An openwebbeans 1.2.7 implementation is broken, so it should be migrated (event in this
1.7.x TomEE version). Newer versions (from 1.6.x) do not have this bug



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message